# -*- coding: utf-8 -*-
# Copyright (C) 2014-2024  EDF
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
# See https://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
#
# Author : Konstantin Leontev (OpenCascade S.A.S)

import sys

from qtsalome import QApplication

from .subshapes_basedlg import SubShapesBaseDlg
import GEOM

class MergeFacesDlg(SubShapesBaseDlg):
    """
    Dialog for Merge Faces plugin that merges selected faces with a given precision.
    """

    def __init__(self, selection_level = GEOM.FACE):
        SubShapesBaseDlg.__init__(
            self, 'Merge Faces', 'merge_faces_algo.py', True, selection_level, 2)


# For testing run as a module from geomrepairadv parent directory in
# Salome INSTALL, because the dialog needs a generated Ui_BaseDlg class
# that we don't have in the SOURCE.
# Example:
# $ python -m geomrepairadv.merge_faces
if __name__ == '__main__':
    app = QApplication(sys.argv)

    dlg = MergeFacesDlg(None)
    dlg.show()

    sys.exit(app.exec_())
